---
Name: universal-application-vault-cluster
Description: "Builds a vault cluster"
Documentation: |
  This builds a vault cluster.

Meta:
  application: cluster
  platform: centos
  icon: "chess"
  color: "blue"
  title: "RackN Content"
  required: "broker/name,cluster/count"
  optional: ""
  no-cluster: "true"
Params:
  universal/application: vault-cluster
  universal/workflow-chain-index-override: cluster
  broker/set-pipeline: universal-application-vault-base
  broker/pass-params-to-workorder:
    - network/firewall-ports
  network/firewall-ports:
    - "22/tcp"
    - "443/tcp"
    - "8200/tcp"
    - "8300/tcp"
    - "8301/tcp"
    - "8302/tcp"
    - "8500/tcp"
    - "8600/tcp"
    - "8200/udp"
    - "8300/udp"
    - "8301/udp"
    - "8302/udp"
    - "8500/udp"
    - "8600/udp"
  cluster/wait-for-members: true
  on-complete-work-order-mode: true
  universal/cluster-provision-post-flexiflow:
    - hashicorp-vault-cluster
